## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathFactory Class Reference

`#include <XPathFactory.hpp>`

Inheritance diagram for XPathFactory:

[legend]
List of all members.

## Public Methods

- XPathFactory ()
- virtual ~XPathFactory ()
- bool returnObject (const XPath *theXPath)
    Return an XPath to the factory. More...
- virtual void reset ()=0
    Reset the instance. More...
- virtual XPath* create ()=0
    Create an XPath. More...

## Protected Methods

- virtual bool doReturnObject (const XPath *theXPath, bool fInReset=false)=0

## Friends

- struct DeleteXPathFunctor

## Constructor & Destructor Documentation

XPathFactory::XPathFactory ( | )`[explicit]`

XPathFactory::~XPathFactory ( | )`[virtual]`

## Member Function Documentation

XPath * XPathFactory::create ( | )`[pure virtual]`

| Create an XPath. The XPath instance is owned by the factory, and should not be deleted. The factory will manage the lifetime. Reimplemented in XPathFactoryBlock, and XPathFactoryDefault.

bool XPathFactory::doReturnObject ( | const XPath * theXPath,
| bool fInReset = false )`[protected, pure virtual]`

| Reimplemented in XPathFactoryBlock, and XPathFactoryDefault.

void XPathFactory::reset ( | )`[pure virtual]`

| Reset the instance. This invalidates all existing instances created with this XPathFactory. Reimplemented in XPathFactoryBlock, and XPathFactoryDefault.

bool XPathFactory::returnObject ( | const XPath * theXPath )

  | Return an XPath to the factory. Parameters:
  theXPath | The XPath to be returned
Returns: true if the object belongs to the factory, false if not.

## Friends And Related Function Documentation

struct DeleteXPathFunctor`[friend]`

The documentation for this class was generated from the following file:

- XPathFactory.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.